Start link
POST
/api/v1/auth/oidc/link
const url = 'https://example.com/api/v1/auth/oidc/link';const options = { method: 'POST', headers: { cookie: 'ttx_access_token=<ttx_access_token>', 'X-CSRF-Token': '<X-CSRF-Token>', 'Content-Type': 'application/json' }, body: '{"return_to":"/"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/auth/oidc/link \ --header 'Content-Type: application/json' \ --header 'X-CSRF-Token: <X-CSRF-Token>' \ --cookie ttx_access_token=<ttx_access_token> \ --data '{ "return_to": "/" }'Link this account to the provider: where to send the browser. With step-up – it’s a new way into the account.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
OidcRedirectRequest
object
return_to
Return To
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
OidcRedirectResponse
object
authorize_url
required
Authorize Url
string
Example generated
{ "authorize_url": "example"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}